Skip to content
scango.ch
English
Esc
navigateopen⌘Jpreview

Update supplier

Update a supplier (POST body is partial). Requires a Write key.

POST/suppliers/{supplierId}
Authorization
AuthorizationBearer token (API key) · headerrequired
Organization API key.
Path parameters
supplierIdstringrequired
Request body
requiredapplication/json
namestring
companystring
citystring
streetstring
plzstring
emailstring
payoutEmailstring
orderEmailstring
phonestring
contactPersonstring
contactPhonestring
dailyMailstring
supplierMarginnumber
ibanstring
bicstring
bankNamestring
payoutsEnabledboolean
deletedboolean
Set true to soft-delete.
Responses
200Updated
successbooleanrequired
400Bad request
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
403Unauthorized
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
404Not found
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
Request
curl -X POST "https://dashboard.scango.ch/api/v1/suppliers/string" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "company": "string",
  "city": "string",
  "street": "string",
  "plz": "string",
  "email": "string",
  "payoutEmail": "string",
  "orderEmail": "string",
  "phone": "string",
  "contactPerson": "string",
  "contactPhone": "string",
  "dailyMail": "string",
  "supplierMargin": 0,
  "iban": "string",
  "bic": "string",
  "bankName": "string",
  "payoutsEnabled": true,
  "deleted": true
}'
Response
{
  "success": true
}